AviatoAviato
DeveloperAPI ReferenceCollectionsIdItems

/api/collections/{id}/items

GET
/api/collections/{id}/items

Path Parameters

id*string

Resource ID

Query Parameters

limit?integer

Max items to return

Range0 < value
offset?|

Number of items to skip

Range0 <= value
includeHidden?|

Include items from hidden libraries. Honored only with an active Aviato Afterburner license.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/collections/string/items"
{
  "items": [
    {
      "id": "string",
      "collectionId": "string",
      "itemId": "string",
      "position": 0,
      "addedAt": "string",
      "item": {
        "id": "string",
        "libraryId": "string",
        "title": "string",
        "metadata": {
          "property1": null,
          "property2": null
        },
        "certification": "string",
        "status": "active",
        "addedAt": "string",
        "updatedAt": "string",
        "files": [
          {
            "id": "string",
            "libraryId": "string",
            "uri": "string",
            "filename": "string",
            "extension": "string",
            "fileInfo": {
              "property1": null,
              "property2": null
            },
            "mimeType": "string",
            "type": "media",
            "classification": "string",
            "itemId": "string",
            "status": "active",
            "edition": "string",
            "partNumber": 0,
            "size": 0,
            "duration": 0,
            "createdAt": "string",
            "updatedAt": "string",
            "assets": {
              "property1": "string",
              "property2": "string"
            },
            "assetAspects": {
              "property1": "string",
              "property2": "string"
            },
            "mediaKind": "video",
            "chapters": [
              {
                "id": "string",
                "fileId": "string",
                "startTime": 0,
                "endTime": 0,
                "role": "intro",
                "title": "string",
                "source": "string",
                "metadata": {
                  "property1": null,
                  "property2": null
                },
                "createdAt": "string",
                "updatedAt": "string",
                "assets": {
                  "property1": "string",
                  "property2": "string"
                }
              }
            ]
          }
        ],
        "assets": {
          "property1": "string",
          "property2": "string"
        },
        "assetAspects": {
          "property1": "string",
          "property2": "string"
        },
        "linkedEntities": [
          {
            "id": "string",
            "type": "string",
            "name": "string",
            "role": "string",
            "sortOrder": 0,
            "linkMetadata": {
              "property1": null,
              "property2": null
            },
            "assets": {
              "property1": "string",
              "property2": "string"
            },
            "assetAspects": {
              "property1": "string",
              "property2": "string"
            }
          }
        ],
        "playback": {
          "completed": true,
          "position": 0,
          "duration": 0
        }
      }
    }
  ],
  "total": 0
}
{
  "error": "string"
}